//This program code is released under GNU General Public License (GPL)
//(http://www.gnu.org/copyleft/gpl.html)
//(C) Wolfgang Gossel (2011)
// Muehlweg 49 
// D-06114 Halle
//or: Martin Luther University
//    Dept. Hydrogeology and Environmental Geology
//    V.-Seckendorff Platz 3
//    D-06120 Halle
//email: wolfgang.gossel@geo.uni-halle.de
//homepage: http://www.mo2geo.org


#include "AttLayers.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// attribLayers
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(attribLayers,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(attribLayers::OnClose)
	EVT_BUTTON(ID_WXBUTTONOKSETATTLAYER,attribLayers::WxButtonOKSetAttLayerClick)
	EVT_BUTTON(ID_WXBUTTONSETCOLOR,attribLayers::WxButtonSetColorClick)
END_EVENT_TABLE()
////Event Table End

attribLayers::attribLayers(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxDialog(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

attribLayers::~attribLayers()
{
} 

void attribLayers::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End.
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxColourDialogLayer =  new wxColourDialog(this);

	WxButtonOKSetAttLayer = new wxButton(this, ID_WXBUTTONOKSETATTLAYER, wxT("OK"), wxPoint(77, 172), wxSize(81, 26), 0, wxDefaultValidator, wxT("WxButtonOKSetAttLayer"));

	WxButtonSetColor = new wxButton(this, ID_WXBUTTONSETCOLOR, wxT("Set Colour"), wxPoint(11, 108), wxSize(70, 21), 0, wxDefaultValidator, wxT("WxButtonSetColor"));

	WxStaticText2 = new wxStaticText(this, ID_WXSTATICTEXT2, wxT("Please set Colour for the Layer:"), wxPoint(12, 86), wxDefaultSize, 0, wxT("WxStaticText2"));

	WxEditNameGeol = new wxTextCtrl(this, ID_WXEDITNAMEGEOL, wxT("Geol. Name"), wxPoint(13, 38), wxSize(210, 20), 0, wxDefaultValidator, wxT("WxEditNameGeol"));

	WxStaticText1 = new wxStaticText(this, ID_WXSTATICTEXT1, wxT("Please set Name for Layer (1 Word only):"), wxPoint(10, 11), wxDefaultSize, 0, wxT("WxStaticText1"));

	SetTitle(wxT("Names and colours"));
	SetIcon(wxNullIcon);
	SetSize(8,8,285,238);
	Center();
	
	////GUI Items Creation End
}

void attribLayers::OnClose(wxCloseEvent& /*event*/)
{
	Destroy();
}

/*
 * WxButtonSetColorClick
 */
void attribLayers::WxButtonSetColorClick(wxCommandEvent& event)
{
	// insert your code here
	int showOK;
	wxColourData colDat;
	wxColour col;
	showOK=WxColourDialogLayer->ShowModal();
	colDat=WxColourDialogLayer->GetColourData();
	WxButtonSetColor->SetBackgroundColour(colDat.GetColour());
    colours=wxString::Format(wxT("(%i,%i,%i)"),(int)colDat.GetColour().Red(),(int)colDat.GetColour().Green(),(int)colDat.GetColour().Blue());
}

/*
 * WxButtonOKSetAttLayerClick
 */
void attribLayers::WxButtonOKSetAttLayerClick(wxCommandEvent& event)
{
	// insert your code here
	nameGeol=WxEditNameGeol->GetValue();
	Destroy();
}

wxString attribLayers::getNameLayer()
{  	
    return nameGeol;
}

wxString attribLayers::getColLayer()
{
    return colours;
}
